Ubuntu

lp:~zulcss/ubuntu/lucid/likewise-open/likewise-open-sru

Created by Chuck Short on 2011-03-03 and last modified on 2011-03-03
Get this branch:
bzr branch lp:~zulcss/ubuntu/lucid/likewise-open/likewise-open-sru
Only Chuck Short can upload to this branch. If you are Chuck Short please log in for upload directions.

Branch merges

Related bugs

Related blueprints

Branch information

Owner:
Chuck Short
Status:
Development

Recent revisions

24. By Chuck Short on 2011-03-03

Clean up changelog

23. By Chuck Short on 2011-03-03

Added psmisc: missing dependency.
(LP: #591893)

22. By Chuck Short on 2011-03-03

debian/patches/reg_import_multi_sz.diff: Fix importing
REG_MULTI_SZ strings that use "\" character. (LP: #575152)

21. By Chuck Short on 2011-03-03

debian/patches/lwupgrade_multi_sz.diff: Make preservation of
multi-string values more robust (e.g. "RequireMembershipOf").
(LP: #574443)

20. By Chuck Short on 2011-03-03

debian/patches/offline_v2.diff: Additional offline logon fixes.
(LP: #572271)

19. By Chuck Short on 2011-03-03

* debian/control:
  + Added libpam-runtime: missing depdency.
   (LP: #627272, #625105)
* debian/patches/assume_default_domain.diff: Fix regression in
  AssumeDefaultDomain. (LP: #534629)

18. By Chuck Short on 2011-03-03

debian/likewise-open.pam-auth-update: Dont conflict with
winbind. (LP: #605326)

17. By Gerald Carter <email address hidden> on 2010-07-27

Fix lsassd crash due to invalid hDirectory handle (LP: #610300).

16. By Scott Salley on 2010-07-21

* SECURITY UPDATE: local access restrictions bypass.
  - Set the Administrator account as disabled when first provisioned.
  - Explicitly mark lsassd local provider accounts accounts as disabled
    if the account exists in its initial provisioned state
  - Force pam password changes, when run under the context of root services,
    to require the existing password for authentication
  - Enforce the "user cannot change password" field on local provider
    account in the provider interface as well as the RPC server interface
  - CVE-2010-0833
* likewise-open.postinst
  - Ensure that lsassd is properly restarted after upgrade

15. By Michael Casadevall on 2010-04-09

* Properly fix ARM FTBFS (LP: #517300)
* debian/patches/correct_lsass_configure_platform_detection.patch
  - Added support for lsass on ARM including location of the PC for
    likewise-open's backtracing
  - Modified configure to know what ARM is
* debian/patches/dcerpc_support_arm.diff
  - Properly add ARM platform stubs and chitecture information.
  - Modified configure to know what ARM is
* debian/patches/autoreconf_dcerpc.diff & autoreconf_lsass.conf
  - Regenerate autotools for configuration changes made to support armel

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
Stacked on:
lp:ubuntu/natty/likewise-open
This branch contains Public information 
Everyone can see this information.

Subscribers